:root {
    --image-border-radius: 12px;
    --profile_left_right_padding: 20%;
}
.profile-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.wallet-info {
    display: flex;
    flex-direction: row;
    justify-content: center;
    background-color: #f8f9fc;
    border-radius: 16px;
    padding: 10px;
}
.wallet-info p {
    margin: 0 10px;
}
.head-sec-profile {
    background: #ffffff;
}
@media (1440px <= width <= 1800px) {
    .image-container img {
        width: 100%;
        height: 401px;
        aspect-ratio: 1 / 1;
        border-radius: var(--image-border-radius);
        object-fit: cover;
    }
}
.head-sec-profile {
    padding: 40px var(--profile_left_right_padding) 0;
}
.body-sec-profile {
    background-color: #f8f9fc;
    padding: 30px var(--profile_left_right_padding);
}
.gal-sec {
    background-color: #f8f9fc;
    padding: 34px var(--profile_left_right_padding);
}
.service-cardd {
    background-color: #ffffff;
    border-bottom: 1px solid #e2e6ee;
    border-radius: 8px;
}
.service-cardd > h3 {
    padding: 16px 20px;
    margin-bottom: 0;
}
.service-cardd > hr {
    margin-top: 0;
}
.list-group-item {
    border: none;
    color: #626c83;
}
.profile_btn_padding {
    padding: 22px 35px;
}
.gradient-text {
    background: linear-gradient(to left, #00c8b2, #0289c0);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent; /* Hide original text */
}

.custom-gradient-button {
    border-radius: 12px !important;
    background: linear-gradient(to left, #00c8b2, #0289c0);
    border: none; /* Remove default border */
    color: white; /* Set text color */
    font-size: 1rem; /* Adjust font size if needed */
}

.custom-gradient-button .fa-thumbtack {
    margin-right: 0.5rem; /* Adjust spacing if needed */
}

.custom-gradient-button:hover {
    color: white; /* Ensure text color remains white */
}
@media (max-width: 2000px) {
    .head-sec-profile {
        padding: 2% var(--profile_left_right_padding) 0;
    }
}
@media (max-width: 1400px) {
    .head-sec-profile {
        padding: 40px 60px 0;
    }
    .gal-sec {
        padding: 40px 100px;
    }
    /* .body-sec-profile {
        padding: 40px 100px;
    } */
}
@media (max-width: 992px) {
    .click-resp {
        flex-direction: column-reverse !important;
        gap: 15px;
    }
}
@media (max-width: 768px) {
    .click-resp {
        flex-direction: column !important;
        gap: 15px;
    }
    .head-sec-profile {
        padding: 40px 50px 0;
    }
    .gal-sec {
        padding: 40px 50px;
    }
    .body-sec-profile {
        padding: 40px 50px;
    }
    .btn-resp {
        font-size: 14px !important;
    }
}
.active-tab {
    font-weight: bold;
    /* display: flex; */
    /* align-items: center; */
    /* justify-content: center; */
    /* width: fit-content; */
    background-color: #f8f9fc;
    /* margin: 0; */
    color: #34363b !important;
}

.btn-link {
    text-decoration: none;
    font-size: 1.1rem;
}

.btn-outline-primary .fa-thumbtack {
    margin-right: 0.5rem; /* Space between icon and text */
}

@media (max-width: 767px) {
    /* Mobile view */
    .button-items-container {
        flex-direction: column;
        align-items: center;
    }
    .button-items-container .btn.custom-gradient-button {
        order: -1; /* Move the button to the top */
        margin-bottom: 1rem;
    }
    .profile_edit_btn_large_screen {
        padding: 8px 36px !important;
    }
}

.info-block {
    background-color: white;
    border-radius: 10px;
    /* box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); */
    /* direction: rtl; 
    text-align: right;  */
}

#second-section {
    background-color: #f8f9fc;
}

#second-section .row h5 {
    font-size: 1.2rem;
    font-weight: bold;
}

#second-section .row p {
    font-size: 1rem;
}

.border-bottom {
    border-bottom: 2px solid #e0e0e0; /* Light gray border */
}
.square-img {
    width: 100%;
    height: 0;
    padding-bottom: 100%; /* Aspect ratio of 1:1 */
    object-fit: cover; /* Cover the container */
}
.filter-section > div > h2 {
    font-size: 18px;
    font-weight: 600;
    color: #34363b;
}
.filter-section > div > div > a {
    font-family: IBM Plex Sans Arabic;
    font-size: 18px;
    font-weight: 600;
    line-height: 33.6px;
    margin-right: 20px;
    color: #34363b;
}
.filter-section > div > div > .active {
    font-family: IBM Plex Sans Arabic;
    font-size: 18px;
    font-weight: 600;
    line-height: 33.6px;
    /* padding: 10px; */
    padding: 0 0 5px 0;
    border-bottom: 2px solid #0277c4;
    color: #0277c4;
}
.custom-filter-div > div > div > .active {
    font-weight: 600 !important;
    border-bottom: 2px solid transparent !important;
    background: linear-gradient(63.43deg, #0277c4 0%, #00cfb1 87%);
    -webkit-background-clip: text !important;
    -webkit-text-fill-color: transparent !important;
    background-clip: text !important;
    text-fill-color: transparent !important;
    border-image: linear-gradient(63.43deg, #0277c4 0%, #00cfb1 87%) !important;
    border-image-slice: 1 !important;
}
.delete-btn {
    background-color: rgba(255, 255, 255, 0.7);
    border: none;
    border-radius: 50%;
    color: #fff;
    font-size: 1.5rem;
    cursor: pointer;
}

.delete-btn:hover {
    background-color: rgba(255, 0, 0, 0.7);
}

.image-container {
    width: 100%;
    /* height: 450px; */
    border-radius: var(--image-border-radius);
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}
.image-container-img {
    width: 100%;
    border-radius: var(--image-border-radius);
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}
.image-container-img {
    position: relative;
    /* width: 50%; */
    height: 151px;
    flex: 0 0 auto;
}
.image-container img {
    /* width: 420px; */
    /* min-height: 402px; */
    aspect-ratio: 1/1;
    border-radius: var(--image-border-radius);
    object-fit: cover; /* This ensures the image covers the entire container */
}

.image-container:hover .square-img {
    transform: scale(1.05); /* Optional: Zoom effect on hover */
}

.image-container-img img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* This ensures the image covers the entire container */
}

.image-container-img:hover .square-img {
    transform: scale(1.05); /* Optional: Zoom effect on hover */
}

.delete-btn {
    position: absolute;
    top: 5px;
    right: 5px;
    background-color: rgba(255, 0, 0, 0.7);
    color: white;
    border: none;
    padding: 5px 10px;
    cursor: pointer;
    z-index: 10;
    border-radius: 4px; /* Optional: Rounded corners for the button */
}
.profile_edit_btn_large_screen {
    padding: 8px 36px;
}

.active_profile {
    position: absolute;
    top: 8%;
    left: 82%;
    background-color: #00cfb1 !important;
}

.row > .col-md-4 {
    padding: 8px 0;
}

.profile-button {
    display: block;
    font-weight: 500;
}
.sections-button {
    display: none;
}
.gallery-button {
    display: none;
}
.d-none {
    display: none;
}

.service-container {
    align-items: center !important;
    padding-bottom: 40px !important;
}
.project-card {
    min-height: 40vh !important;
}

@media (max-width: 576px) {
    .filter-section > div > div > a {
        margin-right: 5px;
    }
    .rest-text {
        font-size: 12px;
        padding: 0 !important;
    }
    .active-tab {
        padding: 0 !important;
    }
    .img-container-res {
        display: flex !important;
        flex-direction: column !important;
    }
    .image-container-img {
        position: relative;
        width: 100%;
        flex: 0 0 auto;
    }
    .respp-img {
        /* width: 130px !important; */
        height: 160px !important;
        aspect-ratio: 1/1;
    }

    .click-resp {
        flex-direction: column !important;
        gap: 0px;
    }
    .head-sec-profile {
        padding: 20px 20px 0;
    }
    .gal-sec {
        padding: 40px 20px;
    }
    .resp-profile-imgg {
        width: 100px !important;
        height: 100px !important;
    }
    .resp-profile-imgg > img {
        width: 85px !important;
        height: 85px !important;
    }
    .body-sec-profile {
        padding: 20px 20px;
    }
    .btn-resp {
        font-size: 16px !important;
        padding: 4px 2px !important;
    }
    .btn-resppp {
        width: 100%;
    }
}
